Announcement

Collapse
No announcement yet.

Plugin update to 2.20.4.34 fails to download

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    Plugin update to 2.20.4.34 fails to download

    I've been running MSCSprinklers V 2.16.0.4 and am planning on updating my Rain8Net to a Rain8Net+ and thought it would be prudent up get the latest release of MSCSprinklers. My manage page didn't show an update to my existing version so I looked under additional interfaces and saw there was a $49 update I could purchase so I did. My attempt to download and install the updated plugin have failed with the following errors from the log:

    Updater Error saving the downloaded file: error
    Updater Error downloading package HSPI_MCSSPRINKLERSP.exe:The underlying connection was closed: An unexpected error occurred on a send.
    Updater Downloading update: mcsSprinklers Professional

    I'm going to do an OS update on this machine in the near future but for now it's running Windows XP. I also noticed that what I purchased wasn't just an update to my existing version, but an upgrade to the professional version and right now I'm just running the standard version. Not sure if either of those issues could be the underlying problem. Please advise ...

    #2
    I suspect that the download problem has to do with XP that does not have ability to negotiate the TLS security.

    I do not think you need to buy an update to run mcsSprinklers as you change your OS. If you contact HST then they should be able to provide you a refund.

    To overcome the download I suggest you download http://mcsSprinklers.com/setup.zip This file contains both the HS and the Standalone versions with an instruction document on how to setup for each configuration. If you do have issues with HST licensing then give me an email at mcsSolutions at CenturyTel dot net and I will be able to help you with that too.

    Comment


      #3
      Well it was worth a try, the plugin fails to start when running under XP with an "unsupported OS" message. Since I'm going to update to Win 8.1 soon it doesn't really matter. I do want to install my new Rain8net+ hardware now, will my 2.16 version support it ?

      thx,
      John.

      Comment


        #4
        Yes the protocol does not change between the original, + and Pro versions.

        Windows 10 is a free upgrade from 7 or 8. Why not go all the way to 10?

        Comment


          #5
          Thanks, that helps ... as for the OS choice, the system is a low powered Atom based one that is purpose built for just 2 things. One is to run Homeseer and the other is to host a multi-port hardware video capture card and DVR software for my outdoor cameras. The capture card is "long in the tooth" and 32 bit Win 8.1 is the newest OS that everything still works under.

          Thanks again for your help,
          John.

          Comment

          Working...
          X